import { Construct } from "constructs";
import { BucketAlarms, BucketAlarmsOptions } from "./bucket-alarms";
import { Bucket, BucketProps } from "aws-cdk-lib/aws-s3";
/**
 * Properties of ExtendedBucket.
 */
export interface ExtendedBucketProps extends BucketProps, BucketAlarmsOptions {
}
/**
 * Extended version of Bucket that changes the following defaults.
 */
export declare class ExtendedBucket extends Bucket {
    readonly alarms: BucketAlarms;
    constructor(scope: Construct, id: string, props?: BucketProps);
}
